Skip to main content
GET
/
v2
/
kyt
/
addresses
/
{address}
/
risk
KYT - Get Address Risk
curl --request GET \
  --url https://api.dex.chainstream.io/v2/kyt/addresses/{address}/risk \
  --header 'Authorization: Bearer <token>'
{
  "address": "0x0038AC785dfB6C82b2c9A7B3B6854e08a10cb9f1",
  "addressIdentifications": [
    "<unknown>"
  ],
  "addressType": "PRIVATE_WALLET",
  "cluster": {},
  "exposures": [
    {
      "category": "exchange",
      "direction": "both_directions",
      "exposureType": "indirect",
      "value": "424895.68594"
    }
  ],
  "risk": "Low",
  "riskReason": null,
  "status": "COMPLETE",
  "triggers": [
    "<unknown>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

address
string
required

Address

Response

200 - application/json
address
string
required

Address

Example:

"0x0038AC785dfB6C82b2c9A7B3B6854e08a10cb9f1"

addressIdentifications
any[]

Address identification list

addressType
string | null

Address type

Example:

"PRIVATE_WALLET"

cluster
object

Cluster

exposures
object[]

Exposure list

risk
string | null

Risk level

Example:

"Low"

riskReason
string | null

Risk reason

Example:

null

status
string | null

Status

Example:

"COMPLETE"

triggers
any[]

Trigger list